#!/bin/sh

INSTALL_DIR=$(cd $(dirname $0) && pwd)

PROGRAM_NAME=pigpiod
PROGRAM_PATH=${INSTALL_DIR}/${PROGRAM_NAME}
PROGRAM_OPTS=
SERVICE_NAME=${PROGRAM_NAME}
SERVICE_PATH=/etc/systemd/system/${SERVICE_NAME}.service

apt update -y
apt upgrade -y
apt install pigpio -y

if [ -f ${SERVICE_PATH} ]; then
  systemctl stop ${SERVICE_NAME}
  systemctl disable ${SERVICE_NAME}
fi

echo "[Unit]" >${SERVICE_PATH}
echo "Description = pigpio daemon" >>${SERVICE_PATH}
echo "After = network.target" >>${SERVICE_PATH}
echo >>${SERVICE_PATH}
echo "[Service]" >>${SERVICE_PATH}
echo "ExecStart= ${PROGRAM_NAME} ${PROGRAM_OPTS}" >>${SERVICE_PATH}
echo "ExecStop = killall ${PROGRAM_NAME}" >>${SERVICE_PATH}
echo "Restart=always" >>${SERVICE_PATH}
echo "Type=forking" >>${SERVICE_PATH}
echo >>${SERVICE_PATH}
echo "[Install]" >>${SERVICE_PATH}
echo "WantedBy=multi-user.target" >>${SERVICE_PATH}

systemctl daemon-reload
systemctl enable ${SERVICE_NAME}
systemctl start ${SERVICE_NAME}
systemctl status ${SERVICE_NAME}
