#!/bin/sh

INSTALL_DIR=$(cd $(dirname $0) && pwd)

PROGRAM_NAME=pwmfan
PROGRAM_PATH=${INSTALL_DIR}/${PROGRAM_NAME}
PROGRAM_OPTS="-c 50 -h 60"
SERVICE_NAME=${PROGRAM_NAME}
SERVICE_PATH=/etc/systemd/system/${SERVICE_NAME}.service

if [ -f ${SERVICE_PATH} ]; then
  systemctl stop ${SERVICE_NAME}
  systemctl disable ${SERVICE_NAME}
fi

echo "[Unit]" >${SERVICE_PATH}
echo "Description=Cooling PWM Fan Controller" >>${SERVICE_PATH}
echo "After=pigpiod.service" >>${SERVICE_PATH}
echo "Requires=pigpiod.service" >>${SERVICE_PATH}
echo "ConditionPathExists=${INSTALL_DIR}" >>${SERVICE_PATH}
echo >>${SERVICE_PATH}
echo "[Service]" >>${SERVICE_PATH}
echo "ExecStart=${PROGRAM_PATH} ${PROGRAM_OPTS}" >>${SERVICE_PATH}
echo "Restart=always" >>${SERVICE_PATH}
echo "Type=simple" >>${SERVICE_PATH}
echo >>${SERVICE_PATH}
echo "[Install]" >>${SERVICE_PATH}
echo "WantedBy=multi-user.target" >>${SERVICE_PATH}

systemctl daemon-reload
systemctl enable ${SERVICE_NAME}
systemctl start ${SERVICE_NAME}
systemctl status ${SERVICE_NAME}

